package com.zhongshu.card.server.core.util;

import org.apache.commons.lang3.RandomStringUtils;
import org.apache.commons.lang3.StringUtils;

/**
 * @author TRX
 * @date 2025/2/12
 */
public class TempUserUtil {

    /**
     * 生成一个 访客的临时用户userId
     *
     * @return
     */
    public static String getVisitorTempUserId() {
        return "tempUser_visitor_" + RandomStringUtils.randomAlphabetic(16);
    }

    /**
     * 判断id是否是系统用户id 格式
     *
     * @param id
     * @return
     */
    public static boolean idIsUserId(String id) {
        if (StringUtils.isEmpty(id)) {
            return false;
        }
        if (idIsVisitorId(id)) {
            return false;
        }
        return true;
    }

    /**
     * 判断id是否是访客临时用户id
     *
     * @param id
     * @return
     */
    public static boolean idIsVisitorId(String id) {
        if (StringUtils.isEmpty(id)) {
            return false;
        }
        if (id.indexOf("visitor") > 0) {
            return true;
        }
        return false;
    }
}
